
D4Science Infrastructure - Incident #394

2918 Generic Resource of type ResourceRegistryModel in pre production environment

Jul 17, 2015 12:13 PM - Roberto Cirillo

Status: Closed Start date: Jul 17, 2015

Priority: Urgent Due date:  

Assignee: John Gerbesiotis % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

There are 2918 Generic Resources of type ResourceRegistryModel.

This number of resources is very big for a single service.

Now in production we have "only" 145 resources of this type.

If possible to reduce the number of these resources?

At this time, the pre-production environment doesn't have the physical resources to handle this high number of resources

Related issues:

Related to D4Science Infrastructure - Task #390: Deploy VRE-Modeler service o... Closed Jul 16, 2015 Jul 16, 2015

History

#1 - Jul 17, 2015 12:16 PM - Roberto Cirillo

- Related to Task #390: Deploy VRE-Modeler service on Ecosystem VO added

#2 - Jul 17, 2015 12:46 PM - John Gerbesiotis

You are right, there are many old resource that probably have not been cleaned for a long time.

On the other hand, I don't think that 3k resources should be a problem for IS to store. Even for pre-production. Do we know the limit of IS resources

that can be stored? If it is that low, this could be a problem for other services/resources too.

We are going to clean those resources, but a restart of pre-production portal will be needed. I will reply when clean up is done.

#3 - Jul 17, 2015 12:54 PM - Massimiliano Assante

Thanks I'll restart the pre-production portal as soon as i get your reply on the clean up is done.

#4 - Jul 17, 2015 03:29 PM - Massimiliano Assante

Sorry Yannis,

we'd need this as soon as possible, any plan to be able to do it by today? If not we would have to delete them anyway. Thanks

#5 - Jul 17, 2015 03:40 PM - John Gerbesiotis

Sorry for the delay Massi, but we were trying to figure out why all those resources were created. As I can see many resources had the same ID, like

they were copied somehow. If Lucio could check what really happened?

I am deleting them right now.

#6 - Jul 17, 2015 03:53 PM - Lucio Lelii

Hi Yannis, I can see resources with the same name but with different ids.

#7 - Jul 17, 2015 04:05 PM - John Gerbesiotis

All not needed resources have been deleted. You can restart portal now.

#8 - Jul 17, 2015 04:10 PM - Massimiliano Assante

restarted, you can close the issue

#9 - Jul 17, 2015 05:15 PM - Roberto Cirillo

- Status changed from New to Closed

- % Done changed from 0 to 100
